# Resolve User

Launch stage: Beta

`POST /api/2.0/identity/accounts/{account_id}/users/resolve-by-external-id`

Resolves a user with the given external ID from the customer's IdP. If the user does not exist, it will be created.
 If the customer is not onboarded onto Automatic Identity Management (AIM), this will return an error.

API scopes: identity

## Path parameters

- `account_id` (string, optional)
  Required. The account ID for which the user is being resolved.

## Request body

- `external_id` (string, optional)
  Required. The external ID of the user in the customer's IdP.

## Returns

- `user` (object, optional)
  The user that was resolved.
  - `account_id` (string, optional)
    The accountId parent of the user in <Databricks>.
  - `user_id` (string, optional)
    Internal userId of the user in <Databricks>.
  - `external_id` (string, optional)
    ExternalId of the user in the customer's IdP.
  - `username` (string, optional)
    Username/email of the user.
  - `full_name` (object, optional)
    - `given_name` (string, optional)
    - `family_name` (string, optional)
  - `account_user_status` (string, optional)
    The activity status of a user in a <Databricks> account.
    Possible values: `STATE_UNSPECIFIED`, `ACTIVE`, `INACTIVE`

## Response

```json
{
  "user": {
    "account_id": "string",
    "user_id": "string",
    "external_id": "string",
    "username": "string",
    "full_name": {},
    "account_user_status": "string"
  }
}
```

